@page
@model WebApp.Pages_Games.IndexModel

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].PlayerA)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].PlayerB)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].BoardWidth)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].BoardHeight)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].EBoatsCanTouch)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].CanSamePlayerMoveAfterHit)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Game[0].IsPlayerATurn)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.Game) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PlayerA.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PlayerB.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.BoardWidth)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.BoardHeight)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.EBoatsCanTouch)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CanSamePlayerMoveAfterHit)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IsPlayerATurn)
            </td>
            <td>
                <a asp-page="./Details" asp-route-id="@item.GameId">Details</a>
            </td>
        </tr>
}
    </tbody>
</table>
